function [R,tcomp] = observe_PRadE(obj,options)
% observe_PRadE - computes the guaranted state estimation approach
% from [1].
%
%
% Syntax:  
%    [R,tcomp] = observe_PRadE(obj,options)
%
% Inputs:
%    obj - discrete-time linear system object
%    options - options for the guaranteed state estimation
%
% Outputs:
%    R - observed set of points in time
%    tcomp - computation time
%
% Reference:
%    [1] Ye Wang, Meng Zhou, Vicenc Puig, Gabriela Cembrano, and
%        Zhenhua Wang. Zonotopic fault detection observer with H −
%        performance. In Proc. of the 36th IEEE Chinese Control
%        Conference, pages 7230–7235, 2017.
%
% Example: 
%
% Other m-files required: none
% Subfunctions: none
% MAT-files required: none
%
% See also: none

% Author:        Matthias Althoff
% Written:       18-Sep-2020
% Last update:   05-Jan-2021
%                25-Feb-2021
% Last revision: ---


%------------- BEGIN CODE --------------

% obtain offline gains
options.L = observe_gain_PRadE(obj,options);

% apply set-membership approach
tic
R = observe_intersectionFree(obj,options);
tcomp = toc;

%------------- END OF CODE --------------